org.apache.sling.provisioning.model

## Class Configuration

- java.lang.Object
- - org.apache.sling.provisioning.model.Traceable
  - - org.apache.sling.provisioning.model.Commentable
    - - org.apache.sling.provisioning.model.Configuration

All Implemented Interfaces:
  Comparable<Configuration>

    public class Configuration
    extends Commentable
    implements Comparable<Configuration>

A configuration has either - a pid - or a factory pid and an alias (pid) and properties.

### Constructor Summary

Constructors
Constructor and Description
`Configuration(String pid, String factoryPid)` Create a new configuration

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Configuration o)`
`String` `getFactoryPid()` Return the factory pid
`String` `getPid()` Get the pid.
`Dictionary<String,Object>` `getProperties()` Get all properties of the configuration.
`boolean` `isSpecial()` Is this a special configuration?
`String` `toString()`

### Methods inherited from class org.apache.sling.provisioning.model.Commentable

`getComment, setComment`

### Methods inherited from class org.apache.sling.provisioning.model.Traceable

`getLocation, setLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration(String pid,
                         String factoryPid)

Create a new configuration

Parameters:
  `pid` - The pid or alias for a factory pid
  `factoryPid` - The factory pid

### Method Detail

#### compareTo

    public int compareTo(Configuration o)

Specified by:
  `compareTo` in interface `Comparable<Configuration>`

#### getPid

    public String getPid()

Get the pid. If this is a factory configuration, it returns the alias for the configuration

Returns:
  The pid.

#### getFactoryPid

    public String getFactoryPid()

Return the factory pid

Returns:
  The factory pid or null.

#### isSpecial

    public boolean isSpecial()

Is this a special configuration?

Returns:
  Special config

#### getProperties

    public Dictionary<String,Object> getProperties()

Get all properties of the configuration.

Returns:
  The properties

#### toString

    public String toString()

Overrides:
  `toString` in class `Commentable`